#

API Docs for: 1.0
Show: Inherited Protected Private Deprecated

# DisplayObject Class

Defined in: `pixi/DisplayObject.js:5`
Module: PIXI

this is the base class for all objects that are rendered on the screen.

## Constructor

### `DisplayObject`

()

Defined in `pixi/DisplayObject.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- autoDetectRenderer static

### Properties

- alpha
- parent
- position
- rotation
- scale
- stage
- visible

## Methods

### `autoDetectRenderer`

(

- `width`
- `height`
- `view`

)
static

Defined in `pixi/utils/Detector.js:5`

This helper function will automatically detect which renderer you should be using. WebGL is the preferred renderer as it is a lot fastest. If webGL is not supported by the browser then this function will return a canvas renderer

#### Parameters:

- `width` Number

  the width of the renderers view

- `height` Number

  the height of the renderers view

- `view` Canvas

  the canvas to use as a view, optional

## Properties

### `alpha`

Number

Defined in `pixi/DisplayObject.js:33`

The opacity of the object.

### `parent`

DisplayObjectContainer

Defined in `pixi/DisplayObject.js:48`

[read-only] The display object container that contains this display object.

### `position`

Point

Defined in `pixi/DisplayObject.js:12`

The coordinate of the object relative to the local coordinates of the parent.

### `rotation`

Number

Defined in `pixi/DisplayObject.js:26`

The rotation of the object in radians.

### `scale`

Point

Defined in `pixi/DisplayObject.js:19`

The scale factor of the object.

### `stage`

Stage

Defined in `pixi/DisplayObject.js:55`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Defined in `pixi/DisplayObject.js:40`

The visibility of the object.